/* fltvec.h Generated automatically by Makefile. */
#ifndef fltvec_h_INCLUDED
#define fltvec_h_INCLUDED
/* config.h.  Generated automatically by configure.  */
/* config.h.in.  Generated automatically from configure.in by autoheader.  */

/* Define if using alloca.c.  */
/* #undef C_ALLOCA */

/* Define to empty if the keyword does not work.  */
/* #undef const */

/* Define to one of _getb67, GETB67, getb67 for Cray-2 and Cray-YMP systems.
   This function is required for alloca.c support on those systems.  */
/* #undef CRAY_STACKSEG_END */

/* Define if you have alloca, as a function or macro.  */
#define FLTV_HAVE_ALLOCA 1

/* Define if you have <alloca.h> and it should be used (not on Ultrix).  */
/* #undef HAVE_ALLOCA_H */

/* Define as __inline if that's what the C compiler calls it.  */
/* #undef inline */

/* Define to `unsigned' if <sys/types.h> doesn't define.  */
#define FLTV_size_t unsigned

/* If using the C implementation of alloca, define if you know the
   direction of stack growth for your system; otherwise it will be
   automatically deduced at run-time.
	STACK_DIRECTION > 0 => grows toward higher addresses
	STACK_DIRECTION < 0 => grows toward lower addresses
	STACK_DIRECTION = 0 => direction of growth unknown
 */
/* #undef STACK_DIRECTION */

/* Define if you have the ANSI C header files.  */
/* #undef STDC_HEADERS */

#define FLTV_USING_TOR 1
/* #undef USING_PHP */
/* #undef USING_SPARC */

/* Define if you have the memalign function.  */
/* #undef HAVE_MEMALIGN */

/* Define if you have the <limits.h> header file.  */
#define FLTV_HAVE_LIMITS_H 1

/* Define if you have the intvec library (-lintvec).  */
#define FLTV_HAVE_LIBINTVEC 1
/* $Header: /u/spert/src/fltvec/RCS/fltv-defs.h,v 1.5 1996/04/04 01:11:45 davidj Exp $ */

/* Work out how to find alloca - see the autoconf docs for more details */
#ifdef __GNUC__
#define alloca __builtin_alloca
#else
#ifdef FLTV_HAVE_ALLOCA_H
#include <alloca.h>
#endif
#endif

#ifndef FLTV_BITS_CHAR
#define FLTV_BITS_CHAR (8)
#endif

#ifndef FLTV_BITS_SHORT
#define FLTV_BITS_SHORT (16)
#endif

#ifndef FLTV_BITS_INT
#define FLTV_BITS_INT (32)
#endif

#if (FLTV_BITS_CHAR==8)
# if defined(__STDC__) || defined(__cplusplus)
typedef signed char fltv_int8_t;
# else
typedef char fltv_int8_t;
# endif
typedef unsigned char fltv_uint8_t;
#define FLTV_INT8_MIN (-0x80)
#define FLTV_INT8_MAX (0x7f)
#define FLTV_UINT8_MIN (0)
#define FLTV_UINT8_MAX (0xff)
#else
#error We need an 8 bit type
#endif

#if (FLTV_BITS_SHORT==16)
typedef short fltv_int16_t;
typedef unsigned short fltv_uint16_t;
#define FLTV_INT16_MIN (-0x8000)
#define FLTV_INT16_MAX (0x7fff)
#define FLTV_UINT16_MIN (0)
#define FLTV_UINT16_MAX (0xffff)
#else
#error We need a 16 bit type
#endif

#if (FLTV_BITS_INT==32)
typedef int fltv_int32_t;
typedef unsigned int fltv_uint32_t;
#define FLTV_INT32_MIN (-0x7fffffff-1)
#define FLTV_INT32_MAX (0x7fffffff)
#define FLTV_UINT32_MIN (0)
#define FLTV_UINT32_MAX (0xffffffffu)
#else
#error We need a 32 bit type
#endif

typedef union { float f; fltv_int32_t i; } fltv_float_int32_t;

typedef int fltv_bool_t;
#define FLTV_FALSE (0)
#define FLTV_TRUE (1)

#define FLTV_SIZET_BAD (0xfffffffful)

/* Some useful constants */

#define FLTV_E          2.7182818284590452354
#define FLTV_LOG2E      1.4426950408889634074
#define FLTV_LOG10E     0.43429448190325182765
#define FLTV_LN2        0.69314718055994530942
#define FLTV_LN10       2.30258509299404568402
#define FLTV_PI         3.14159265358979323846
#define FLTV_PI_2       1.57079632679489661923
#define FLTV_PI_4       0.78539816339744830962
#define FLTV_1_PI       0.31830988618379067154
#define FLTV_2_PI       0.63661977236758134308
#define FLTV_2_SQRTPI   1.12837916709551257390
#define FLTV_SQRT2      1.41421356237309504880
#define FLTV_SQRT1_2    0.70710678118654752440
/*** Header created by fltvec-scansrc.perl - do not edit ***/

#ifdef __cplusplus
extern "C" {
#endif

void nfp_abs_vf_vf(size_t len, const float* from, float* to);
void nfp_copy_f_vf(size_t len, float from, float* to);
void nfp_copy_vf_vf(size_t len, const float* from, float* to);
/*
** Check whether a double precision floating point number is a NaN
** Uses integer operations.
*/
fltv_bool_t nfp_isnan_d_b(double d);
/*
** Check whether a signle precision floating point number is a NaN.
** Uses integer operations.
*/
fltv_bool_t nfp_isnan_f_b(float f);
void nfp_neg_vf_vf(size_t len, const float* from, float* to);
void nv_abs_vf_vf(size_t len, const float* from, float* to);
void nv_acc_vd_vd(size_t n, const double *in_vec, double *res_vec);
void nv_acc_vf_mf(size_t mat_height, size_t vec_len, const float* vec,
		  float* mat);
void nv_acc_vf_vf(size_t n, const float *in_vec, float *res_vec);
void nv_add_vdvd_vd(size_t n, const double *in_vec1, const double *in_vec2,
		    double *res_vec);
void nv_add_vff_vf(size_t len, const float* a, float b, float* res);
void nv_add_vfvf_vf(size_t n, const float *in_vec1, const float *in_vec2,
		    float *res_vec);
/*
** Convert an integer to single precision floating point, rounding if
** necessary.
*/
float nv_conv_i32_f(fltv_int32_t in);
void nv_conv_vd_vf(size_t len, const double* a, float* res);
void nv_conv_vf_vd(size_t len, const float* a, double* res);
/*
** Convert a vector of 32 bit integers to single precision floating point,
** rounding if necessary.
*/
void nv_conv_vi32_vf(size_t len, const fltv_int32_t* in, float* res);
void nv_convol_vdvd_vd(size_t h_len, size_t x_len, const double *h,
		       const double *x, double *y);
void nv_convol_vfvf_vf(size_t h_len, size_t x_len, const float *h,
		       const float *x, float *y);
void nv_copy_d_vd(size_t len, double from, double* to);
void nv_copy_f_vf(size_t len, float from, float* to);
void nv_copy_mf_smf(size_t height, size_t in_width, size_t stride,
		    const float* from, float* to);
void nv_copy_smf_mf(size_t height, size_t width, size_t stride,
		    const float* from, float* to);
void nv_copy_vd_vd(size_t len, const double* from, double* to);
void nv_copy_vf_mf(size_t mat_height, size_t vec_len, const float* vec,
		   float* mat);
void nv_copy_vf_vf(size_t len, const float* from, float* to);
void nv_div_fvf_vf(size_t len, float a, const float* b, float* res);
void nv_div_vff_vf(size_t len, const float* a, float b, float* res);
void nv_div_vfvf_vf(size_t n, const float *in_vec1, const float *in_vec2,
		    float *res_vec);
void nv_dsigmoid_mul_vf_vf_vf(size_t n,
			      const float *in_vec1, const float *in_vec2,
			      float *res_vec);
void nv_dsigmoid_vf_vf(size_t n, const float* in_vec, float* out_vec);
float nv_erf_f_f(float x);
float nv_exp_f_f(float x);
# ifdef FLTV_HAVE_ALLOCA
#   define nv_falloc_vd(len) ((double *) alloca((len) * sizeof(double)))
# else
#   define nv_falloc_vd(len) ((double *) fltv_malloc((len) * sizeof(double)))
# endif
# ifdef FLTV_HAVE_ALLOCA
#   define nv_falloc_vf(len) ((float *) alloca((len) * sizeof(float)))
# else
#   define nv_falloc_vf(len) ((float *) fltv_malloc((len) * sizeof(float)))
# endif
# ifdef FLTV_HAVE_ALLOCA
#  define nv_ffree_vd(ptr)
# else
#  define nv_ffree_vd(ptr) fltv_free((ptr))
# endif
# ifdef FLTV_HAVE_ALLOCA
#  define nv_ffree_vf(ptr)
# else
#  define nv_ffree_vf(ptr) fltv_free((ptr))
# endif
void nv_fltv_free(void* ptr);
void* nv_fltv_malloc(size_t size);
void* nv_fltv_memalign(size_t alignment, size_t size);
void* nv_fltv_realloc(void* ptr, size_t size);
#define nv_free_vd(ptr) fltv_free((void *) (ptr))
#define nv_free_vf(ptr) fltv_free((void *) (ptr))
fltv_int8_t nv_htolna8_f_i8(float val);
void nv_htolna8_vf_vi8(size_t len, const float* from, fltv_int8_t* to);
fltv_int8_t nv_htopre8_f_i8(float val);
void nv_htopre8_vf_vi8(size_t len, const float* from, fltv_int8_t* to);
size_t nv_iabsmax_vf_u(size_t n, const float* v);
size_t nv_iabsmin_vf_u(size_t n, const float* v);
float nv_ierf_f_f(float x);
size_t nv_imax_vf_u(size_t n, const float* v);
size_t nv_imin_vf_u(size_t n, const float* v);
/*
** Check whether a double precision floating point number is a NaN
** Relies on proper IEEE floating point.
*/
fltv_bool_t nv_isnan_d_b(double d);
/*
** Check whether a signle precision floating point number is a NaN.
** Relies on proper IEEE floating point.
*/
fltv_bool_t nv_isnan_f_b(float f);
float* nv_lna8table_vf();
float nv_lna8toh_i8_f(fltv_int8_t lna);
void nv_lna8toh_vi8_vf(size_t len, const fltv_int8_t* bits, float* res);
#define nv_malloc_vd(len) ((double *) fltv_malloc((len) * sizeof(double)))
#define nv_malloc_vf(len) ((float *) fltv_malloc((len) * sizeof(float)))
void nv_maxmin_vf_ff(size_t n, const float *vec, float *maxp, float *minp);
void nv_mul_mfmf_mf(size_t Sm,size_t Sk,size_t Sn,
		    const float *A,const float *B,float *C);
void nv_mul_mfvf_vf(size_t rows, size_t cols,
		    const float *in_mat, const float *in_vec, float *out_vec);
void nv_mul_vdd_vd(size_t len, const double* a, double b, double* res);
void nv_mul_vdvd_vd(size_t n, const double *in_vec1, const double *in_vec2,
		    double *res_vec);
void nv_mul_vff_vf(size_t len, const float* a, float b, float* res);
void nv_mul_vfmf_vf(size_t rows, size_t cols,
		    const float *in_vec, const float *in_mat, float *out_vec);
void nv_mul_vfvf_vf(size_t n, const float *in_vec1, const float *in_vec2,
		    float *res_vec);
void nv_mulacc_fmfmf_mf(size_t Sm,size_t Sk,size_t Sn, float scale,
			const float *A,const float *B,float *C);
void nv_mulacc_fvfvf_mf(size_t rows, size_t cols, float scale,
			const float *in_vec, const float *in_vec_t,
			float *res_mat);
void nv_mulacc_mfmf_mf(size_t Sm,size_t Sk,size_t Sn,
		       const float *A,const float *B,float *C);
void nv_mulacc_vff_vf(size_t n, const float *in, float scale, float *acc);
void nv_muladd_vddvd_vd(const size_t n, const double* xvec, const double s,
			const double *yvec, double* res);
void nv_muladd_vffvf_vf(const size_t n, const float* xvec, const float s,
			const float *yvec, float* res);
void nv_mulntacc_fmfmf_mf(size_t Sm,size_t Sk,size_t Sn, float scale,
			 const float *A,const float *B,float *C);
void nv_mulntacc_mfmf_mf(size_t Sm,size_t Sk,size_t Sn,
			 const float *A,const float *B,float *C);
double nv_mulsum_vdvd_d(const size_t n, const double* avec,
			const double* bvec);
float nv_mulsum_vfvf_f(const size_t n, const float* avec, const float* bvec);
void nv_multnacc_fmfmf_mf(size_t Sk,size_t Sm,size_t Sn, float scale,
			 const float *A,const float *B,float *C);
void nv_multnacc_mfmf_mf(size_t Sk,size_t Sm,size_t Sn,
			 const float *A,const float *B,float *C);
void nv_multtacc_fmfmf_mf(size_t Sk,size_t Sm,size_t Sn, float scale,
			 const float *A,const float *B,float *C);
void nv_multtacc_mfmf_mf(size_t Sk,size_t Sm,size_t Sn,
			 const float *A,const float *B,float *C);
void nv_neg_vf_vf(size_t len, const float* from, float* to);
float* nv_pre8table_vf();
float nv_pre8toh_i8_f(fltv_int8_t bits);
void nv_pre8toh_vi8_vf(size_t len, const fltv_int8_t* bits, float* res);
#define nv_realloc_vd(ptr, len) ((double *) fltv_realloc((void *) (ptr), \
						   (len) * sizeof(double)))
#define nv_realloc_vf(ptr, len) ((float *) fltv_realloc((void *) (ptr), \
						   (len) * sizeof(float)))
void nv_recip_vf_vf(size_t len, const float* a, float* res);
float nv_sigmoid_f_f(float x);
void nv_sigmoid_vf_vf(size_t n, const float* in_vec, float* out_vec);
void nv_softmax_vf_vf(size_t n, const float* in_vec, float* out_vec);
void nv_sqr_vd_vd(size_t len, const double* a, double* res);
void nv_sqr_vf_vf(size_t len, const float* a, float* res);
void nv_sqrt_vf_vf(size_t len, const float* a, float* res);
void nv_sub_fvf_vf(size_t len, float a, const float* b, float* res);
void nv_sub_vdvd_vd(size_t n, const double *in_vec1, const double *in_vec2,
		    double *res_vec);
void nv_sub_vff_vf(size_t len, const float* a, float b, float* res);
void nv_sub_vfvf_vf(size_t n, const float *in_vec1, const float *in_vec2,
		    float *res_vec);
float nv_sum_vf_f(const size_t len, const float* in);
/*
** Sum the columns of a matrix.
*/
void nv_sumcol_mf_vf(size_t rows, size_t cols, const float* mat,
		     float* res);
void nv_trans_mf_mf(size_t in_height, size_t in_width, const float *in,
		    float *res);
void php_convol_vdvd_vd(size_t h_len, size_t x_len, const double *h,
			const double *x, double *y);
void php_convol_vfvf_vf(size_t h_len, size_t x_len, const float *h,
			const float *x, float *y);
void php_mul_mdvd_vd(const size_t rows, const size_t cols,
		     const double* mat, const double* vec, double* res);
void php_mul_mfvf_vf(const size_t rows, const size_t cols,
		     const float* mat, const float* vec, float* res);
void php_mul_vdmd_vd(const size_t rows, const size_t cols,
		     const double* vec, const double* mat, double* res);
void php_mul_vfmf_vf(const size_t rows, const size_t cols,
		     const float* vec, const float* mat, float* res);
void php_mulacc_dvdvd_md(const size_t rows, const size_t cols,
          const double scale, const double* in_vec, const double* in_vec_t,
          double *mat);
void php_mulacc_fmfmf_mf(size_t a_rows, size_t a_cols, size_t b_cols,
			 float scale, const float* a, const float* b,
			 float* res);
void php_mulacc_fvfvf_mf(const size_t rows, const size_t cols,
          const float scale, const float* in_vec, const float* in_vec_t,
          float *mat);
void php_mulacc_mfmf_mf(size_t a_rows, size_t a_cols, size_t b_cols,
			const float* a, const float* b, float* res);
void php_muladd_vddvd_vd(const size_t n, const double* xvec,
			 const double s, const double *yvec,
			 double* res);
void php_muladd_vffvf_vf(const size_t n, const float* xvec,
			 const float s, const float *yvec,
			 float* res);
void php_mulntacc_fmfmf_mf(size_t a_rows, size_t a_cols, size_t b_cols,
			 float scale, const float* a, const float* b,
			 float* res);
void php_mulntacc_mfmf_mf(size_t a_rows, size_t a_cols, size_t b_cols,
			  const float* a, const float* b, float* res);
double php_mulsum_vdvd_d(const size_t n, const double* avec,
			 const double* bvec);
float php_mulsum_vfvf_f(const size_t n, const float* avec, const float* bvec);
void php_multnacc_fmfmf_mf(size_t a_rows, size_t a_cols, size_t b_cols,
			 float scale, const float* a, const float* b,
			 float* res);
void php_multnacc_mfmf_mf(size_t a_rows, size_t a_cols, size_t b_cols,
			  const float* a, const float* b, float* res);
void php_multtacc_fmfmf_mf(size_t a_rows, size_t a_cols, size_t b_cols,
			 float scale, const float* a, const float* b,
			 float* res);
void php_multtacc_mfmf_mf(size_t a_rows, size_t a_cols, size_t b_rows,
			  const float* a, const float* b, float* res);
/*
** Sum the columns of a matrix.
** Hand coded php version.
*/
void php_sumcol_mf_vf(size_t rows, size_t cols, const float* in, float* res);
void tor_add_gfgf_gf(void); 
void tor_add_vff_vf(size_t len, const float* a, float b, float* res);
void tor_add_vfvf_vf(size_t len, const float* a, const float* b, float* res);
fltv_uint32_t tor_cmp_gfgf_gi32gb(void); 
void tor_conv_gf_gx16s(void); 
void tor_conv_gf_gx32s(void); 
void tor_conv_gx32_gf(void); 
void tor_div_fvf_vf(size_t len, float a, const float* b, float* res);
void tor_div_gfgf_gf(void); 
void tor_div_vff_vf(size_t len, const float* a, float b, float* res);
void tor_div_vfvf_vf(size_t len, const float* a, const float* b, float* res);
extern const fltv_uint8_t tor_fltv_bindex[32];
extern const fltv_uint8_t tor_fltv_rbindex[32];
size_t tor_iabsmax_vf_u(size_t n, const float* v);
size_t tor_iabsmin_vf_u(size_t n, const float* v);
size_t tor_imax_vf_u(size_t n, const float* v);
size_t tor_imin_vf_u(size_t n, const float* v);
void tor_mul_gfgf_gf(void); 
void tor_mul_vff_vf(size_t len, const float* a, float b, float* res);
void tor_mul_vfvf_vf(size_t len, const float* a, const float* b, float* res);
void tor_muladd_vffvf_vf(size_t len, const float* x, float a,
			  const float* y, float* res);
void tor_sub_fvf_vf(size_t len, float a, const float* b, float* res);
void tor_sub_gfgf_gf(void); 
void tor_sub_vff_vf(size_t len, const float* a, float b, float* res);
void tor_sub_vfvf_vf(size_t len, const float* a, const float* b, float* res);
float tor_sum_vf_f(size_t len, const float* in);
fltv_uint32_t
tor_vlr_cmp_vfvf_vi32i32(size_t len, const float* a, const float* b,
			 fltv_int32_t* diff_res, fltv_int32_t* unord_res);
void wrp_acc_vf_vf(size_t len, const float* from, float* to);
void wrp_btoh_vf_vf(size_t len, const float* from, float* to);
void wrp_copy_mf_smf(size_t height, size_t in_width, size_t stride,
		    const float* from, float* to);
void wrp_copy_smf_mf(size_t height, size_t width, size_t stride,
		    const float* from, float* to);
void wrp_htob_vf_vf(size_t len, const float* from, float* to);
float wrp_mulsum_vfvf_f(size_t len, const float* a, const float* b);

#ifdef __cplusplus
}
#endif

#define add_gfgf_gf tor_add_gfgf_gf
#define mulacc_mfmf_mf php_mulacc_mfmf_mf
#define mul_vfvf_vf tor_mul_vfvf_vf
#define conv_vf_vd nv_conv_vf_vd
#define muladd_vffvf_vf tor_muladd_vffvf_vf
#define realloc_vd nv_realloc_vd
#define htopre8_vf_vi8 nv_htopre8_vf_vi8
#define sqr_vd_vd nv_sqr_vd_vd
#define neg_vf_vf nfp_neg_vf_vf
#define lna8table_vf nv_lna8table_vf
#define falloc_vf nv_falloc_vf
#define div_vfvf_vf tor_div_vfvf_vf
#define mulacc_dvdvd_md php_mulacc_dvdvd_md
#define mul_gfgf_gf tor_mul_gfgf_gf
#define div_fvf_vf tor_div_fvf_vf
#define copy_vd_vd nv_copy_vd_vd
#define softmax_vf_vf nv_softmax_vf_vf
#define vlr_cmp_vfvf_vi32i32 tor_vlr_cmp_vfvf_vi32i32
#define fltv_rbindex tor_fltv_rbindex
#define htob_vf_vf wrp_htob_vf_vf
#define mulacc_vff_vf nv_mulacc_vff_vf
#define div_gfgf_gf tor_div_gfgf_gf
#define sigmoid_f_f nv_sigmoid_f_f
#define multnacc_mfmf_mf php_multnacc_mfmf_mf
#define mulntacc_mfmf_mf php_mulntacc_mfmf_mf
#define iabsmax_vf_u tor_iabsmax_vf_u
#define add_vff_vf tor_add_vff_vf
#define mul_mdvd_vd php_mul_mdvd_vd
#define mul_vfmf_vf php_mul_vfmf_vf
#define add_vdvd_vd nv_add_vdvd_vd
#define recip_vf_vf nv_recip_vf_vf
#define mul_mfmf_mf nv_mul_mfmf_mf
#define lna8toh_i8_f nv_lna8toh_i8_f
#define free_vf nv_free_vf
#define fltv_free nv_fltv_free
#define copy_d_vd nv_copy_d_vd
#define sqrt_vf_vf nv_sqrt_vf_vf
#define htolna8_f_i8 nv_htolna8_f_i8
#define cmp_gfgf_gi32gb tor_cmp_gfgf_gi32gb
#define sub_vff_vf tor_sub_vff_vf
#define imax_vf_u tor_imax_vf_u
#define conv_i32_f nv_conv_i32_f
#define fltv_memalign nv_fltv_memalign
#define convol_vdvd_vd php_convol_vdvd_vd
#define mul_vdvd_vd nv_mul_vdvd_vd
#define imin_vf_u tor_imin_vf_u
#define sqr_vf_vf nv_sqr_vf_vf
#define muladd_vddvd_vd php_muladd_vddvd_vd
#define malloc_vd nv_malloc_vd
#define isnan_f_b nfp_isnan_f_b
#define acc_vd_vd nv_acc_vd_vd
#define copy_vf_vf nfp_copy_vf_vf
#define lna8toh_vi8_vf nv_lna8toh_vi8_vf
#define ffree_vf nv_ffree_vf
#define sub_vfvf_vf tor_sub_vfvf_vf
#define maxmin_vf_ff nv_maxmin_vf_ff
#define copy_vf_mf nv_copy_vf_mf
#define dsigmoid_mul_vf_vf_vf nv_dsigmoid_mul_vf_vf_vf
#define fltv_realloc nv_fltv_realloc
#define mul_vdd_vd nv_mul_vdd_vd
#define btoh_vf_vf wrp_btoh_vf_vf
#define pre8toh_vi8_vf nv_pre8toh_vi8_vf
#define free_vd nv_free_vd
#define fltv_malloc nv_fltv_malloc
#define copy_mf_smf wrp_copy_mf_smf
#define multtacc_fmfmf_mf php_multtacc_fmfmf_mf
#define abs_vf_vf nfp_abs_vf_vf
#define falloc_vd nv_falloc_vd
#define sub_gfgf_gf tor_sub_gfgf_gf
#define fltv_bindex tor_fltv_bindex
#define mul_vdmd_vd php_mul_vdmd_vd
#define sum_vf_f tor_sum_vf_f
#define copy_f_vf nfp_copy_f_vf
#define exp_f_f nv_exp_f_f
#define ffree_vd nv_ffree_vd
#define convol_vfvf_vf php_convol_vfvf_vf
#define trans_mf_mf nv_trans_mf_mf
#define pre8table_vf nv_pre8table_vf
#define mul_vff_vf tor_mul_vff_vf
#define realloc_vf nv_realloc_vf
#define div_vff_vf tor_div_vff_vf
#define sigmoid_vf_vf nv_sigmoid_vf_vf
#define mulacc_fmfmf_mf php_mulacc_fmfmf_mf
#define dsigmoid_vf_vf nv_dsigmoid_vf_vf
#define acc_vf_vf wrp_acc_vf_vf
#define multtacc_mfmf_mf php_multtacc_mfmf_mf
#define acc_vf_mf nv_acc_vf_mf
#define mulsum_vdvd_d php_mulsum_vdvd_d
#define sub_vdvd_vd nv_sub_vdvd_vd
#define iabsmin_vf_u tor_iabsmin_vf_u
#define sub_fvf_vf tor_sub_fvf_vf
#define conv_vi32_vf nv_conv_vi32_vf
#define ierf_f_f nv_ierf_f_f
#define conv_gx32_gf tor_conv_gx32_gf
#define pre8toh_i8_f nv_pre8toh_i8_f
#define conv_gf_gx16s tor_conv_gf_gx16s
#define htolna8_vf_vi8 nv_htolna8_vf_vi8
#define isnan_d_b nfp_isnan_d_b
#define multnacc_fmfmf_mf php_multnacc_fmfmf_mf
#define mulntacc_fmfmf_mf php_mulntacc_fmfmf_mf
#define mulsum_vfvf_f wrp_mulsum_vfvf_f
#define erf_f_f nv_erf_f_f
#define add_vfvf_vf tor_add_vfvf_vf
#define mul_mfvf_vf php_mul_mfvf_vf
#define mulacc_fvfvf_mf php_mulacc_fvfvf_mf
#define copy_smf_mf wrp_copy_smf_mf
#define malloc_vf nv_malloc_vf
#define conv_gf_gx32s tor_conv_gf_gx32s
#define conv_vd_vf nv_conv_vd_vf
#define sumcol_mf_vf php_sumcol_mf_vf
#define htopre8_f_i8 nv_htopre8_f_i8
#endif /* fltvec_h_INCLUDED */
