/*
** $Header: /u/spert/src/newlib/newlib/libc/machine/torrent/machine/RCS/configreg.h,v 1.1 1995/10/31 20:41:12 davidj Exp $
**
** fxconfig.h - Bit definitions for Torrent fixed point config. registers
** davidj - Mon Oct 18 12:23:41 1993
**
*/

#ifndef FXCONFIG_H_INCLUDED
#define FXCONFIG_H_INCLUDED

/* Constants, masks and bit positions for the fixed point configuration regs */

#define FX_SHLAM_START 0
#define FX_SHLAM_WIDTH 5
#define FX_SHAM_START 0		/* For when FX_SEPSHAM==0 */
#define FX_SHAM_WIDTH 5
#define FX_SHLV_START 5
#define FX_SHLV_WIDTH 1
#define FX_CLIPAM_START 7
#define FX_CLIPAM_WIDTH 2
#define FX_SHLNR_START 9
#define FX_SHLNR_WIDTH 1
#define FX_SHRNR_START 10
#define FX_SHRNR_WIDTH 1
#define FX_SHRST_START 11
#define FX_SHRST_WIDTH 1
#define FX_SEPSHAM_START 12
#define FX_SEPSHAM_WIDTH 1
#define FX_SHRAM_START 13
#define FX_SHRAM_WIDTH 5
#define FX_SHRV_START 18
#define FX_SHRV_WIDTH 1
#define FX_SHRL_START 19
#define FX_SHRL_WIDTH 1
#define FX_SHLZA_START 20
#define FX_SHLZA_WIDTH 1
#define FX_WCOND_START 21
#define FX_WCOND_WIDTH 3
#define FX_BU_START 24
#define FX_BU_WIDTH 1
#define FX_AU_START 25
#define FX_AU_WIDTH 1
#define FX_LUFUNC_START 26
#define FX_LUFUNC_WIDTH 4
#define FX_LURES_START 30
#define FX_LURES_WIDTH 1
#define FX_NOCLIP_START 31
#define FX_NOCLIP_WIDTH 1

#define FX_CLIPAM_CLIP32 0
#define FX_CLIPAM_CLIP8 1
#define FX_CLIPAM_CLIP16 2
#define FX_CLIPAM_PASS 0
#define FX_CLIPAM_FOVF 1
#define FX_CLIPAM_SLTZ 2
#define FX_CLIPAM_SEQZ 3

#define FX_WCOND_ALWAYS 0
#define FX_WCOND_NEZ 1
#define FX_WCOND_GEZ 2
#define FX_WCOND_LEZ 3
#define FX_WCOND_NEVER 4
#define FX_WCOND_EQZ 5
#define FX_WCOND_LTZ 6
#define FX_WCOND_GTZ 7

#define FX_LUFUNC_PASS_B 0x00
#define FX_LUFUNC_B_ORNOT_A 0x01
#define FX_LUFUNC_A_AND_B 0x02
#define FX_LUFUNC_A_XNOR_B 0x03
#define FX_LUFUNC_A_OR_B 0x04
#define FX_LUFUNC_NOTZERO 0x05
#define FX_LUFUNC_PASS_A 0x06
#define FX_LUFUNC_A_ORNOT_B 0x07
#define FX_LUFUNC_B_ANDNOT_A 0x08
#define FX_LUFUNC_NOT_A 0x09
#define FX_LUFUNC_ZERO 0x0a
#define FX_LUFUNC_A_NOR_B 0x0b
#define FX_LUFUNC_A_XOR_B 0x0c
#define FX_LUFUNC_A_NAND_B 0x0d
#define FX_LUFUNC_A_ANDNOT_B 0x0e
#define FX_LUFUNC_NOT_B 0x0f

#define FX_CLIP8 (FX_CLIPAM_CLIP8 << FX_CLIPAM_START)
#define FX_CLIP16 (FX_CLIPAM_CLIP16 << FX_CLIPAM_START)
#define FX_CLIP32 (FX_CLIPAM_CLIP32 << FX_CLIPAM_START)
#define FX_NOCLIP (1 << FX_NOCLIP_START)
#define FX_CLIP_PASS ((FX_CLIPAM_PASS << FX_CLIPAM_START) | FX_NOCLIP)
#define FX_CLIP_FOVF ((FX_CLIPAM_FOVF << FX_CLIPAM_START) | FX_NOCLIP)
#define FX_CLIP_SLTZ ((FX_CLIPAM_SLTZ << FX_CLIPAM_START) | FX_NOCLIP)
#define FX_CLIP_SEQZ ((FX_CLIPAM_SEQZ << FX_CLIPAM_START) | FX_NOCLIP)

#define FX_SHAM (1 << FX_SHAM_START)
#define FX_SHLAM (1 << FX_SHLAM_START)
#define FX_SHRAM (1 << FX_SHRAM_START)
#define FX_SHLNR (1 << FX_SHLNR_START)
#define FX_SHRNR (1 << FX_SHRNR_START)
#define FX_SHRST (1 << FX_SHRST_START)
#define FX_SHRL (1 << FX_SHRL_START)
#define FX_SHLZA (1 << FX_SHLZA_START)
#define FX_SHLV (1 << FX_SHLV_START)
#define FX_SHRV (1 << FX_SHRV_START)
#define FX_SEPSHAM (1 << FX_SEPSHAM_START)
#define FX_LURES (1 << FX_LURES_START)
#define FX_AU (1 << FX_AU_START)
#define FX_BU (1 << FX_BU_START)

#define FX_NOROUND (FX_SHLNR | FX_SHRNR)
#define FX_RNEARESTEVEN (0)
#define FX_RNEARESTUP (FX_SHRNR)
#define FX_RDOWN (FX_SHLNR | FX_SHRNR)
#define FX_RODD (FX_SHLNR | FX_SHRST)

#define FX_ALWAYS (FX_WCOND_ALWAYS << FX_WCOND_START)
#define FX_NEZ (FX_WCOND_NEZ << FX_WCOND_START)
#define FX_GEZ (FX_WCOND_GEZ << FX_WCOND_START)
#define FX_LEZ (FX_WCOND_LEZ << FX_WCOND_START)
#define FX_NEVER (FX_WCOND_NEVER << FX_WCOND_START)
#define FX_EQZ (FX_WCOND_EQZ << FX_WCOND_START)
#define FX_LTZ (FX_WCOND_LTZ << FX_WCOND_START)
#define FX_GTZ (FX_WCOND_GTZ << FX_WCOND_START)

#define FX_PASS_B (FX_LUFUNC_PASS_B << FX_LUFUNC_START)
#define FX_B_ORNOT_A (FX_LUFUNC_B_ORNOT_A << FX_LUFUNC_START)
#define FX_A_AND_B (FX_LUFUNC_A_AND_B << FX_LUFUNC_START)
#define FX_A_XNOR_B (FX_LUFUNC_A_XNOR_B << FX_LUFUNC_START)
#define FX_A_OR_B (FX_LUFUNC_A_OR_B << FX_LUFUNC_START)
#define FX_NOTZERO (FX_LUFUNC_NOTZERO << FX_LUFUNC_START)
#define FX_PASS_A (FX_LUFUNC_PASS_A << FX_LUFUNC_START)
#define FX_A_ORNOT_B (FX_LUFUNC_A_ORNOT_B << FX_LUFUNC_START)
#define FX_B_ANDNOT_A (FX_LUFUNC_B_ANDNOT_A << FX_LUFUNC_START)
#define FX_NOT_A (FX_LUFUNC_NOT_A << FX_LUFUNC_START)
#define FX_ZERO (FX_LUFUNC_ZERO << FX_LUFUNC_START)
#define FX_A_NOR_B (FX_LUFUNC_A_NOR_B << FX_LUFUNC_START)
#define FX_A_XOR_B (FX_LUFUNC_A_XOR_B << FX_LUFUNC_START)
#define FX_A_NAND_B (FX_LUFUNC_A_NAND_B << FX_LUFUNC_START)
#define FX_A_ANDNOT_B (FX_LUFUNC_A_ANDNOT_B << FX_LUFUNC_START)
#define FX_NOT_B (FX_LUFUNC_NOT_B << FX_LUFUNC_START)


#endif /* #ifdef FXCONFIG_H_INCLUDED */
